<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.100.1
Name: Ontvangstbevestiging
Description: Ontvangstbevestiging. De waarde voor het element  acceptAckCode  is "NE".
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.100.1-2012-08-01T000000">
   <title>Ontvangstbevestiging</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.1
Context: hl7:MCCI_IN000002
Item: (Ontvangstbevestiging)
-->

   <rule context="hl7:MCCI_IN000002" id="d122e994-false-d10632e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.1-2012-08-01T000000.html"
              test="count(hl7:id[not(@nullFlavor)])&gt;=1">(Ontvangstbevestiging): element hl7:id[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.1-2012-08-01T000000.html"
              test="count(hl7:id[not(@nullFlavor)])&lt;=1">(Ontvangstbevestiging): element hl7:id[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.1-2012-08-01T000000.html"
              test="count(hl7:creationTime[not(@nullFlavor)])&gt;=1">(Ontvangstbevestiging): element hl7:creationTime[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.1-2012-08-01T000000.html"
              test="count(hl7:creationTime[not(@nullFlavor)])&lt;=1">(Ontvangstbevestiging): element hl7:creationTime[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.1-2012-08-01T000000.html"
              test="count(hl7:versionCode[@code='NICTIZEd2005-Okt'][not(@nullFlavor)])&gt;=1">(Ontvangstbevestiging): element hl7:versionCode[@code='NICTIZEd2005-Okt'][not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.1-2012-08-01T000000.html"
              test="count(hl7:versionCode[@code='NICTIZEd2005-Okt'][not(@nullFlavor)])&lt;=1">(Ontvangstbevestiging): element hl7:versionCode[@code='NICTIZEd2005-Okt'][not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.1-2012-08-01T000000.html"
              test="count(hl7:interactionId[@root='2.16.840.1.113883.1.6'])&gt;=1">(Ontvangstbevestiging): element hl7:interactionId[@root='2.16.840.1.113883.1.6'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.1-2012-08-01T000000.html"
              test="count(hl7:interactionId[@root='2.16.840.1.113883.1.6'])&lt;=1">(Ontvangstbevestiging): element hl7:interactionId[@root='2.16.840.1.113883.1.6'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.1-2012-08-01T000000.html"
              test="count(hl7:profileId[@root='2.16.840.1.113883.2.4.3.11.1'])&gt;=1">(Ontvangstbevestiging): element hl7:profileId[@root='2.16.840.1.113883.2.4.3.11.1'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.1-2012-08-01T000000.html"
              test="count(hl7:profileId[@root='2.16.840.1.113883.2.4.3.11.1'])&lt;=1">(Ontvangstbevestiging): element hl7:profileId[@root='2.16.840.1.113883.2.4.3.11.1'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.1-2012-08-01T000000.html"
              test="count(hl7:processingCode[@code='P'][not(@nullFlavor)])&gt;=1">(Ontvangstbevestiging): element hl7:processingCode[@code='P'][not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.1-2012-08-01T000000.html"
              test="count(hl7:processingCode[@code='P'][not(@nullFlavor)])&lt;=1">(Ontvangstbevestiging): element hl7:processingCode[@code='P'][not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.1-2012-08-01T000000.html"
              test="count(hl7:processingModeCode[@code='T'][not(@nullFlavor)])&gt;=1">(Ontvangstbevestiging): element hl7:processingModeCode[@code='T'][not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.1-2012-08-01T000000.html"
              test="count(hl7:processingModeCode[@code='T'][not(@nullFlavor)])&lt;=1">(Ontvangstbevestiging): element hl7:processingModeCode[@code='T'][not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.1-2012-08-01T000000.html"
              test="count(hl7:acceptAckCode[@code='NE'][not(@nullFlavor)])&gt;=1">(Ontvangstbevestiging): element hl7:acceptAckCode[@code='NE'][not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.1-2012-08-01T000000.html"
              test="count(hl7:acceptAckCode[@code='NE'][not(@nullFlavor)])&lt;=1">(Ontvangstbevestiging): element hl7:acceptAckCode[@code='NE'][not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.1-2012-08-01T000000.html"
              test="count(hl7:acknowledgement[not(@nullFlavor)])&gt;=1">(Ontvangstbevestiging): element hl7:acknowledgement[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.1-2012-08-01T000000.html"
              test="count(hl7:acknowledgement[not(@nullFlavor)])&lt;=1">(Ontvangstbevestiging): element hl7:acknowledgement[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.1-2012-08-01T000000.html"
              test="count(hl7:receiver[not(@nullFlavor)])&gt;=1">(Ontvangstbevestiging): element hl7:receiver[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.1-2012-08-01T000000.html"
              test="count(hl7:receiver[not(@nullFlavor)])&lt;=1">(Ontvangstbevestiging): element hl7:receiver[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.1-2012-08-01T000000.html"
              test="count(hl7:sender[not(@nullFlavor)])&gt;=1">(Ontvangstbevestiging): element hl7:sender[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.1-2012-08-01T000000.html"
              test="count(hl7:sender[not(@nullFlavor)])&lt;=1">(Ontvangstbevestiging): element hl7:sender[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.101
Context: hl7:MCCI_IN000002/hl7:id[not(@nullFlavor)]
Item: (TransmissionWrapperMCCI_MT000200)
-->

   <rule context="hl7:MCCI_IN000002/hl7:id[not(@nullFlavor)]"
         id="d10785e54-false-d10796e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.101-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(TransmissionWrapperMCCI_MT000200): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.101-2012-08-01T000000.html"
              test="@root and @extension">(TransmissionWrapperMCCI_MT000200): Transmission: id element mist root of extension</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.101
Context: hl7:MCCI_IN000002/hl7:creationTime[not(@nullFlavor)]
Item: (TransmissionWrapperMCCI_MT000200)
-->

   <rule context="hl7:MCCI_IN000002/hl7:creationTime[not(@nullFlavor)]"
         id="d10785e66-false-d10811e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.101-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(TransmissionWrapperMCCI_MT000200): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS.DATETIME.MIN"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.101-2012-08-01T000000.html"
              test="not(*)">(TransmissionWrapperMCCI_MT000200): <value-of select="local-name()"/> met datatype TS.DATETIME.MIN, MAG GEEN elementen bevatten.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.101
Context: hl7:MCCI_IN000002/hl7:versionCode[@code='NICTIZEd2005-Okt'][not(@nullFlavor)]
Item: (TransmissionWrapperMCCI_MT000200)
-->

   <rule context="hl7:MCCI_IN000002/hl7:versionCode[@code='NICTIZEd2005-Okt'][not(@nullFlavor)]"
         id="d10785e77-false-d10829e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.101-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(TransmissionWrapperMCCI_MT000200): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.101-2012-08-01T000000.html"
              test="@nullFlavor or (@code='NICTIZEd2005-Okt')">(TransmissionWrapperMCCI_MT000200): de elementwaarde MOET een zijn van 'code 'NICTIZEd2005-Okt''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.101
Context: hl7:MCCI_IN000002/hl7:interactionId[@root='2.16.840.1.113883.1.6']
Item: (TransmissionWrapperMCCI_MT000200)
-->

   <rule context="hl7:MCCI_IN000002/hl7:interactionId[@root='2.16.840.1.113883.1.6']"
         id="d10785e87-false-d10850e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.101-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(TransmissionWrapperMCCI_MT000200): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.101-2012-08-01T000000.html"
              test="string(@root)=('2.16.840.1.113883.1.6')">(TransmissionWrapperMCCI_MT000200): de waarde van @root MOET '2.16.840.1.113883.1.6' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.101-2012-08-01T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$')">(TransmissionWrapperMCCI_MT000200): attribuut @root MOET datatype 'oid' hebben</assert>
      <let name="interactionId"
           value="self::node()[@root='2.16.840.1.113883.1.6']/@extension"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.101-2012-08-01T000000.html"
              test="not(@root='2.16.840.1.113883.1.6') or local-name(..)=@extension">(TransmissionWrapperMCCI_MT000200): Transmission: @extension moet overeenkomen met het startelement van het bericht</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.101
Context: hl7:MCCI_IN000002/hl7:profileId[@root='2.16.840.1.113883.2.4.3.11.1']
Item: (TransmissionWrapperMCCI_MT000200)
-->

   <rule context="hl7:MCCI_IN000002/hl7:profileId[@root='2.16.840.1.113883.2.4.3.11.1']"
         id="d10785e103-false-d10872e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.101-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(TransmissionWrapperMCCI_MT000200): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.101-2012-08-01T000000.html"
              test="string(@root)=('2.16.840.1.113883.2.4.3.11.1')">(TransmissionWrapperMCCI_MT000200): de waarde van @root MOET '2.16.840.1.113883.2.4.3.11.1' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.101-2012-08-01T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$')">(TransmissionWrapperMCCI_MT000200): attribuut @root MOET datatype 'oid' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.101-2012-08-01T000000.html"
              test="string(@extension)=('810')">(TransmissionWrapperMCCI_MT000200): de waarde van @extension MOET '810' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.101-2012-08-01T000000.html"
              test="not(@extension) or string-length(@extension)&gt;0">(TransmissionWrapperMCCI_MT000200): attribuut @extension MOET datatype 'st' hebben</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.101
Context: hl7:MCCI_IN000002/hl7:processingCode[@code='P'][not(@nullFlavor)]
Item: (TransmissionWrapperMCCI_MT000200)
-->

   <rule context="hl7:MCCI_IN000002/hl7:processingCode[@code='P'][not(@nullFlavor)]"
         id="d10785e115-false-d10901e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.101-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(TransmissionWrapperMCCI_MT000200): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.101-2012-08-01T000000.html"
              test="@nullFlavor or (@code='P')">(TransmissionWrapperMCCI_MT000200): de elementwaarde MOET een zijn van 'code 'P''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.101
Context: hl7:MCCI_IN000002/hl7:processingModeCode[@code='T'][not(@nullFlavor)]
Item: (TransmissionWrapperMCCI_MT000200)
-->

   <rule context="hl7:MCCI_IN000002/hl7:processingModeCode[@code='T'][not(@nullFlavor)]"
         id="d10785e125-false-d10922e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.101-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(TransmissionWrapperMCCI_MT000200): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.101-2012-08-01T000000.html"
              test="@nullFlavor or (@code='T')">(TransmissionWrapperMCCI_MT000200): de elementwaarde MOET een zijn van 'code 'T''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.101
Context: hl7:MCCI_IN000002/hl7:acceptAckCode[@code='NE'][not(@nullFlavor)]
Item: (TransmissionWrapperMCCI_MT000200)
-->

   <rule context="hl7:MCCI_IN000002/hl7:acceptAckCode[@code='NE'][not(@nullFlavor)]"
         id="d10785e136-false-d10943e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.101-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(TransmissionWrapperMCCI_MT000200): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.101-2012-08-01T000000.html"
              test="@nullFlavor or (@code='NE')">(TransmissionWrapperMCCI_MT000200): de elementwaarde MOET een zijn van 'code 'NE''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.101
Context: hl7:MCCI_IN000002/hl7:acknowledgement[not(@nullFlavor)]
Item: (TransmissionWrapperMCCI_MT000200)
-->

   <rule context="hl7:MCCI_IN000002/hl7:acknowledgement[not(@nullFlavor)]"
         id="d10785e146-false-d10964e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.101-2012-08-01T000000.html"
              test="@typeCode">(TransmissionWrapperMCCI_MT000200): attribute @typeCode MOET aanwezig zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.101-2012-08-01T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(TransmissionWrapperMCCI_MT000200): attribuut @typeCode MOET datatype 'cs' hebben</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@typeCode),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(for $code in tokenize(@typeCode,' ') return if ($code=('CA','CE','CR','AA','AE','AR')) then ($code) else ())"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.101-2012-08-01T000000.html"
              test="not(@typeCode) or count($theAttValue) = count($theAttCheck)">(TransmissionWrapperMCCI_MT000200): de waarde van typeCode MOET 'code CA of code CE of code CR of code AA of code AE of code AR' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.101-2012-08-01T000000.html"
              test="@typeCode='CA' or @typeCode='CE' or @typeCode='CR'">(TransmissionWrapperMCCI_MT000200): Transmission: ontvangstbevestigingen moeten acknowledgement/@typeCode CA, CE of CR hebben. In slechts sommige gevallen worden toch inhoudelijke antwoorden toegestaan (@typeCode is 'AA', 'AE' or 'AR').</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.101-2012-08-01T000000.html"
              test="@typeCode='AA' or @typeCode='CA' or hl7:acknowledgementDetail">(TransmissionWrapperMCCI_MT000200): Transmission: negatieve antwoordberichten moeten ook een reden hebben waarom</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.101-2012-08-01T000000.html"
              test="count(hl7:targetMessage[not(@nullFlavor)])&gt;=1">(TransmissionWrapperMCCI_MT000200): element hl7:targetMessage[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.101-2012-08-01T000000.html"
              test="count(hl7:targetMessage[not(@nullFlavor)])&lt;=1">(TransmissionWrapperMCCI_MT000200): element hl7:targetMessage[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.101
Context: hl7:MCCI_IN000002/hl7:acknowledgement[not(@nullFlavor)]/hl7:acknowledgementDetail
Item: (TransmissionWrapperMCCI_MT000200)
-->

   <rule context="hl7:MCCI_IN000002/hl7:acknowledgement[not(@nullFlavor)]/hl7:acknowledgementDetail"
         id="d10785e185-false-d11045e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.101-2012-08-01T000000.html"
              test="string(@typeCode)=('E') or not(@typeCode)">(TransmissionWrapperMCCI_MT000200): de waarde van @typeCode MOET 'E' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.101-2012-08-01T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(TransmissionWrapperMCCI_MT000200): attribuut @typeCode MOET datatype 'cs' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.101-2012-08-01T000000.html"
              test="hl7:code[@code and @displayName] or hl7:text">(TransmissionWrapperMCCI_MT000200): Transmission: er moet een toelichting op de fout/waarschuwing zijn in hl7:code/@displayName of text</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.101-2012-08-01T000000.html"
              test="count(hl7:code[not(@nullFlavor)])&gt;=1">(TransmissionWrapperMCCI_MT000200): element hl7:code[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.101-2012-08-01T000000.html"
              test="count(hl7:code[not(@nullFlavor)])&lt;=1">(TransmissionWrapperMCCI_MT000200): element hl7:code[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.101-2012-08-01T000000.html"
              test="count(hl7:text)&lt;=1">(TransmissionWrapperMCCI_MT000200): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.101
Context: hl7:MCCI_IN000002/hl7:acknowledgement[not(@nullFlavor)]/hl7:acknowledgementDetail/hl7:code[not(@nullFlavor)]
Item: (TransmissionWrapperMCCI_MT000200)
-->

   <rule context="hl7:MCCI_IN000002/hl7:acknowledgement[not(@nullFlavor)]/hl7:acknowledgementDetail/hl7:code[not(@nullFlavor)]"
         id="d10785e198-false-d11091e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.101-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(TransmissionWrapperMCCI_MT000200): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <assert role="warning"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.101-2012-08-01T000000.html"
              test="@displayName or @codeSystem='2.16.840.1.113883.5.1100' or @codeSystem='2.16.840.1.113883.2.4.6.6.1.1000' or @codeSystem='2.16.840.1.113883.5.4'">(TransmissionWrapperMCCI_MT000200): Transmission: als de code niet uit een van de standaardcodesystemen '2.16.840.1.113883.5.1100', '2.16.840.1.113883.2.4.6.6.1.1000', of '2.16.840.1.113883.5.4' komt is het @displayName attribuut verplicht</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.101
Context: hl7:MCCI_IN000002/hl7:acknowledgement[not(@nullFlavor)]/hl7:acknowledgementDetail/hl7:text
Item: (TransmissionWrapperMCCI_MT000200)
-->

   <rule context="hl7:MCCI_IN000002/hl7:acknowledgement[not(@nullFlavor)]/hl7:acknowledgementDetail/hl7:text"
         id="d10785e208-false-d11106e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.101-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(TransmissionWrapperMCCI_MT000200): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.101
Context: hl7:MCCI_IN000002/hl7:acknowledgement[not(@nullFlavor)]/hl7:acknowledgementDetail/hl7:location
Item: (TransmissionWrapperMCCI_MT000200)
-->

   <rule context="hl7:MCCI_IN000002/hl7:acknowledgement[not(@nullFlavor)]/hl7:acknowledgementDetail/hl7:location"
         id="d10785e214-false-d11121e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.101-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(TransmissionWrapperMCCI_MT000200): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.101
Context: hl7:MCCI_IN000002/hl7:acknowledgement[not(@nullFlavor)]/hl7:targetMessage[not(@nullFlavor)]
Item: (TransmissionWrapperMCCI_MT000200)
-->

   <rule context="hl7:MCCI_IN000002/hl7:acknowledgement[not(@nullFlavor)]/hl7:targetMessage[not(@nullFlavor)]"
         id="d10785e221-false-d11136e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.101-2012-08-01T000000.html"
              test="count(hl7:id[not(@nullFlavor)])&gt;=1">(TransmissionWrapperMCCI_MT000200): element hl7:id[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.101-2012-08-01T000000.html"
              test="count(hl7:id[not(@nullFlavor)])&lt;=1">(TransmissionWrapperMCCI_MT000200): element hl7:id[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.101
Context: hl7:MCCI_IN000002/hl7:acknowledgement[not(@nullFlavor)]/hl7:targetMessage[not(@nullFlavor)]/hl7:id[not(@nullFlavor)]
Item: (TransmissionWrapperMCCI_MT000200)
-->

   <rule context="hl7:MCCI_IN000002/hl7:acknowledgement[not(@nullFlavor)]/hl7:targetMessage[not(@nullFlavor)]/hl7:id[not(@nullFlavor)]"
         id="d10785e226-false-d11160e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.101-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(TransmissionWrapperMCCI_MT000200): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.100.1
Context: hl7:MCCI_IN000002/hl7:receiver
Item: (TransmissionWrapperReceiverNotZIM)
-->

   <rule context="hl7:MCCI_IN000002/hl7:receiver" id="d11166e4-false-d11177e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.100.1-2012-08-01T000000.html"
              test="string(@typeCode)=('RCV') or not(@typeCode)">(TransmissionWrapperReceiverNotZIM): de waarde van @typeCode MOET 'RCV' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.100.1-2012-08-01T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(TransmissionWrapperReceiverNotZIM): attribuut @typeCode MOET datatype 'cs' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.100.1-2012-08-01T000000.html"
              test="count(hl7:device[not(@nullFlavor)])&gt;=1">(TransmissionWrapperReceiverNotZIM): element hl7:device[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.100.1-2012-08-01T000000.html"
              test="count(hl7:device[not(@nullFlavor)])&lt;=1">(TransmissionWrapperReceiverNotZIM): element hl7:device[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.100.1
Context: hl7:MCCI_IN000002/hl7:receiver/hl7:device[not(@nullFlavor)]
Item: (TransmissionWrapperReceiverNotZIM)
-->

   <rule context="hl7:MCCI_IN000002/hl7:receiver/hl7:device[not(@nullFlavor)]"
         id="d11166e25-false-d11208e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.100.1-2012-08-01T000000.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.6'])&gt;=1">(TransmissionWrapperReceiverNotZIM): element hl7:id[@root='2.16.840.1.113883.2.4.6.6'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.100.1-2012-08-01T000000.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.6'])&lt;=1">(TransmissionWrapperReceiverNotZIM): element hl7:id[@root='2.16.840.1.113883.2.4.6.6'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.100.1-2012-08-01T000000.html"
              test="count(hl7:name)&lt;=1">(TransmissionWrapperReceiverNotZIM): element hl7:name komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.100.1
Context: hl7:MCCI_IN000002/hl7:receiver/hl7:device[not(@nullFlavor)]/hl7:id[@root='2.16.840.1.113883.2.4.6.6']
Item: (TransmissionWrapperReceiverNotZIM)
-->

   <rule context="hl7:MCCI_IN000002/hl7:receiver/hl7:device[not(@nullFlavor)]/hl7:id[@root='2.16.840.1.113883.2.4.6.6']"
         id="d11166e30-false-d11241e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.100.1-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(TransmissionWrapperReceiverNotZIM): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.100.1-2012-08-01T000000.html"
              test="string(@root)=('2.16.840.1.113883.2.4.6.6')">(TransmissionWrapperReceiverNotZIM): de waarde van @root MOET '2.16.840.1.113883.2.4.6.6' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.100.1-2012-08-01T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$')">(TransmissionWrapperReceiverNotZIM): attribuut @root MOET datatype 'oid' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.100.1-2012-08-01T000000.html"
              test="@root='2.16.840.1.113883.2.4.6.6' and not(@extension='1')">(TransmissionWrapperReceiverNotZIM): Transmission: receiver/device/id mag niet de AORTA ZIM zijn</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.100.1
Context: hl7:MCCI_IN000002/hl7:receiver/hl7:device[not(@nullFlavor)]/hl7:name
Item: (TransmissionWrapperReceiverNotZIM)
-->

   <rule context="hl7:MCCI_IN000002/hl7:receiver/hl7:device[not(@nullFlavor)]/hl7:name"
         id="d11166e41-false-d11263e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.100.1-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='EN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(TransmissionWrapperReceiverNotZIM): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:EN" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="EN"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.100.5
Context: hl7:MCCI_IN000002/hl7:sender
Item: (TransmissionWrapperSenderAORTADevice)
-->

   <rule context="hl7:MCCI_IN000002/hl7:sender" id="d11269e4-false-d11280e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.100.5-2012-08-01T000000.html"
              test="string(@typeCode)=('SND') or not(@typeCode)">(TransmissionWrapperSenderAORTADevice): de waarde van @typeCode MOET 'SND' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.100.5-2012-08-01T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(TransmissionWrapperSenderAORTADevice): attribuut @typeCode MOET datatype 'cs' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.100.5-2012-08-01T000000.html"
              test="count(hl7:device[not(@nullFlavor)])&gt;=1">(TransmissionWrapperSenderAORTADevice): element hl7:device[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.100.5-2012-08-01T000000.html"
              test="count(hl7:device[not(@nullFlavor)])&lt;=1">(TransmissionWrapperSenderAORTADevice): element hl7:device[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.100.5
Context: hl7:MCCI_IN000002/hl7:sender/hl7:device[not(@nullFlavor)]
Item: (TransmissionWrapperSenderAORTADevice)
-->

   <rule context="hl7:MCCI_IN000002/hl7:sender/hl7:device[not(@nullFlavor)]"
         id="d11269e39-false-d11311e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.100.5-2012-08-01T000000.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.6'])&gt;=1">(TransmissionWrapperSenderAORTADevice): element hl7:id[@root='2.16.840.1.113883.2.4.6.6'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.100.5-2012-08-01T000000.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.6'])&lt;=1">(TransmissionWrapperSenderAORTADevice): element hl7:id[@root='2.16.840.1.113883.2.4.6.6'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.100.5-2012-08-01T000000.html"
              test="count(hl7:name)&lt;=1">(TransmissionWrapperSenderAORTADevice): element hl7:name komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.100.5
Context: hl7:MCCI_IN000002/hl7:sender/hl7:device[not(@nullFlavor)]/hl7:id[@root='2.16.840.1.113883.2.4.6.6']
Item: (TransmissionWrapperSenderAORTADevice)
-->

   <rule context="hl7:MCCI_IN000002/hl7:sender/hl7:device[not(@nullFlavor)]/hl7:id[@root='2.16.840.1.113883.2.4.6.6']"
         id="d11269e44-false-d11344e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.100.5-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(TransmissionWrapperSenderAORTADevice): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.100.5-2012-08-01T000000.html"
              test="string(@root)=('2.16.840.1.113883.2.4.6.6')">(TransmissionWrapperSenderAORTADevice): de waarde van @root MOET '2.16.840.1.113883.2.4.6.6' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.100.5-2012-08-01T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$')">(TransmissionWrapperSenderAORTADevice): attribuut @root MOET datatype 'oid' hebben</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.100.5
Context: hl7:MCCI_IN000002/hl7:sender/hl7:device[not(@nullFlavor)]/hl7:name
Item: (TransmissionWrapperSenderAORTADevice)
-->

   <rule context="hl7:MCCI_IN000002/hl7:sender/hl7:device[not(@nullFlavor)]/hl7:name"
         id="d11269e52-false-d11366e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.100.5-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='EN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(TransmissionWrapperSenderAORTADevice): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:EN" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="EN"/>
   </rule>
</pattern>
