<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.100.160
Name: Bericht 7 Vaccinatieoproeplijst (payload)
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.100.160-2015-06-29T000000">
   <title>Bericht 7 Vaccinatieoproeplijst (payload)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.160
Context: *[hl7:immunizationRequestList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.160']]]
Item: (VersturenVaccinatieoproeplijst-payload)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.160
Context: *[hl7:immunizationRequestList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.160']]]/hl7:immunizationRequestList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.160']]
Item: (VersturenVaccinatieoproeplijst-payload)
-->

   <rule context="*[hl7:immunizationRequestList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.160']]]/hl7:immunizationRequestList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.160']]"
         id="d122e27948-false-d2803690e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.160-2015-06-29T000000.html"
              test="string(@classCode)=('LIST') or not(@classCode)">(VersturenVaccinatieoproeplijst-payload): de waarde van @classCode MOET 'LIST' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.160-2015-06-29T000000.html"
              test="string(@moodCode)=('EVN') or not(@moodCode)">(VersturenVaccinatieoproeplijst-payload): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.160-2015-06-29T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.160'])&gt;=1">(VersturenVaccinatieoproeplijst-payload): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.160'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.160-2015-06-29T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.160'])&lt;=1">(VersturenVaccinatieoproeplijst-payload): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.160'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.160-2015-06-29T000000.html"
              test="count(hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')][not(@nullFlavor)])&gt;=1">(VersturenVaccinatieoproeplijst-payload): element hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')][not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.160-2015-06-29T000000.html"
              test="count(hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')][not(@nullFlavor)])&lt;=1">(VersturenVaccinatieoproeplijst-payload): element hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')][not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.160-2015-06-29T000000.html"
              test="count(hl7:component)&gt;=1">(VersturenVaccinatieoproeplijst-payload): element hl7:component is required [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.160
Context: *[hl7:immunizationRequestList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.160']]]/hl7:immunizationRequestList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.160']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.160']
Item: (VersturenVaccinatieoproeplijst-payload)
-->

   <rule context="*[hl7:immunizationRequestList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.160']]]/hl7:immunizationRequestList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.160']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.160']"
         id="d122e27954-false-d2803743e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.160-2015-06-29T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(VersturenVaccinatieoproeplijst-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.160-2015-06-29T000000.html"
              test="string(@root)=('2.16.840.1.113883.2.4.6.10.100.160')">(VersturenVaccinatieoproeplijst-payload): de waarde van @root MOET '2.16.840.1.113883.2.4.6.10.100.160' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.160-2015-06-29T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$')">(VersturenVaccinatieoproeplijst-payload): attribuut @root MOET datatype 'oid' hebben</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.160
Context: *[hl7:immunizationRequestList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.160']]]/hl7:immunizationRequestList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.160']]/hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')][not(@nullFlavor)]
Item: (VersturenVaccinatieoproeplijst-payload)
-->

   <rule context="*[hl7:immunizationRequestList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.160']]]/hl7:immunizationRequestList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.160']]/hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')][not(@nullFlavor)]"
         id="d122e27962-false-d2803765e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.160-2015-06-29T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(VersturenVaccinatieoproeplijst-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.160-2015-06-29T000000.html"
              test="@nullFlavor or (@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')">(VersturenVaccinatieoproeplijst-payload): de elementwaarde MOET een zijn van 'code 'IMMUNIZ' codeSystem '2.16.840.1.113883.5.4''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.160
Context: *[hl7:immunizationRequestList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.160']]]/hl7:immunizationRequestList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.160']]/hl7:component
Item: (VersturenVaccinatieoproeplijst-payload)
-->

   <rule context="*[hl7:immunizationRequestList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.160']]]/hl7:immunizationRequestList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.160']]/hl7:component"
         id="d122e27970-false-d2803786e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.160-2015-06-29T000000.html"
              test="string(@typeCode)=('COMP') or not(@typeCode)">(VersturenVaccinatieoproeplijst-payload): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.160-2015-06-29T000000.html"
              test="count(hl7:organizer)&gt;=1">(VersturenVaccinatieoproeplijst-payload): element hl7:organizer is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.160-2015-06-29T000000.html"
              test="count(hl7:organizer)&lt;=1">(VersturenVaccinatieoproeplijst-payload): element hl7:organizer komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.160
Context: *[hl7:immunizationRequestList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.160']]]/hl7:immunizationRequestList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.160']]/hl7:component/hl7:organizer
Item: (VersturenVaccinatieoproeplijst-payload)
-->

   <rule context="*[hl7:immunizationRequestList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.160']]]/hl7:immunizationRequestList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.160']]/hl7:component/hl7:organizer"
         id="d122e27974-false-d2803814e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.160-2015-06-29T000000.html"
              test="string(@classCode)=('ACT') or not(@classCode)">(VersturenVaccinatieoproeplijst-payload): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.160-2015-06-29T000000.html"
              test="string(@moodCode)=('EVN') or not(@moodCode)">(VersturenVaccinatieoproeplijst-payload): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.160-2015-06-29T000000.html"
              test="count(hl7:subject[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.135']]])&gt;=1">(VersturenVaccinatieoproeplijst-payload): element hl7:subject[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.135']]] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.160-2015-06-29T000000.html"
              test="count(hl7:subject[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.135']]])&lt;=1">(VersturenVaccinatieoproeplijst-payload): element hl7:subject[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.135']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.160-2015-06-29T000000.html"
              test="count(hl7:component[hl7:substanceAdministration[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')][not(@nullFlavor)]]])&gt;=1">(VersturenVaccinatieoproeplijst-payload): element hl7:component[hl7:substanceAdministration[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')][not(@nullFlavor)]]] is required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.160
Context: *[hl7:immunizationRequestList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.160']]]/hl7:immunizationRequestList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.160']]/hl7:component/hl7:organizer/hl7:subject[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.135']]]
Item: (VersturenVaccinatieoproeplijst-payload)
-->
   <rule context="*[hl7:immunizationRequestList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.160']]]/hl7:immunizationRequestList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.160']]/hl7:component/hl7:organizer/hl7:subject[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.135']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.160-2015-06-29T000000.html"
              test="string(@typeCode)=('SBJ') or not(@typeCode)">(VersturenVaccinatieoproeplijst-payload): de waarde van @typeCode MOET 'SBJ' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.160
Context: *[hl7:immunizationRequestList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.160']]]/hl7:immunizationRequestList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.160']]/hl7:component/hl7:organizer/hl7:component[hl7:substanceAdministration[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')][not(@nullFlavor)]]]
Item: (VersturenVaccinatieoproeplijst-payload)
-->

   <rule context="*[hl7:immunizationRequestList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.160']]]/hl7:immunizationRequestList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.160']]/hl7:component/hl7:organizer/hl7:component[hl7:substanceAdministration[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')][not(@nullFlavor)]]]"
         id="d122e27985-false-d2803920e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.160-2015-06-29T000000.html"
              test="string(@typeCode)=('COMP') or not(@typeCode)">(VersturenVaccinatieoproeplijst-payload): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.160-2015-06-29T000000.html"
              test="count(hl7:substanceAdministration[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')][not(@nullFlavor)]])&gt;=1">(VersturenVaccinatieoproeplijst-payload): element hl7:substanceAdministration[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')][not(@nullFlavor)]] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.160-2015-06-29T000000.html"
              test="count(hl7:substanceAdministration[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')][not(@nullFlavor)]])&lt;=1">(VersturenVaccinatieoproeplijst-payload): element hl7:substanceAdministration[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')][not(@nullFlavor)]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.160
Context: *[hl7:immunizationRequestList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.160']]]/hl7:immunizationRequestList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.160']]/hl7:component/hl7:organizer/hl7:component[hl7:substanceAdministration[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')][not(@nullFlavor)]]]/hl7:substanceAdministration[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')][not(@nullFlavor)]]
Item: (VersturenVaccinatieoproeplijst-payload)
-->

   <rule context="*[hl7:immunizationRequestList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.160']]]/hl7:immunizationRequestList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.160']]/hl7:component/hl7:organizer/hl7:component[hl7:substanceAdministration[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')][not(@nullFlavor)]]]/hl7:substanceAdministration[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')][not(@nullFlavor)]]"
         id="d122e27989-false-d2803948e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.160-2015-06-29T000000.html"
              test="string(@classCode)=('SBADM') or not(@classCode)">(VersturenVaccinatieoproeplijst-payload): de waarde van @classCode MOET 'SBADM' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.160-2015-06-29T000000.html"
              test="string(@moodCode)=('INT') or not(@moodCode)">(VersturenVaccinatieoproeplijst-payload): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.160-2015-06-29T000000.html"
              test="string(@negationInd)=('false') or not(@negationInd)">(VersturenVaccinatieoproeplijst-payload): de waarde van @negationInd MOET 'false' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.160-2015-06-29T000000.html"
              test="not(@negationInd) or string(@negationInd)=('true','false')">(VersturenVaccinatieoproeplijst-payload): attribuut @negationInd MOET datatype 'bl' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.160-2015-06-29T000000.html"
              test="count(hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')][not(@nullFlavor)])&gt;=1">(VersturenVaccinatieoproeplijst-payload): element hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')][not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.160-2015-06-29T000000.html"
              test="count(hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')][not(@nullFlavor)])&lt;=1">(VersturenVaccinatieoproeplijst-payload): element hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')][not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.160-2015-06-29T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(VersturenVaccinatieoproeplijst-payload): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.160-2015-06-29T000000.html"
              test="count(hl7:consumable)&gt;=1">(VersturenVaccinatieoproeplijst-payload): element hl7:consumable is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.160-2015-06-29T000000.html"
              test="count(hl7:consumable)&lt;=1">(VersturenVaccinatieoproeplijst-payload): element hl7:consumable komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.160
Context: *[hl7:immunizationRequestList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.160']]]/hl7:immunizationRequestList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.160']]/hl7:component/hl7:organizer/hl7:component[hl7:substanceAdministration[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')][not(@nullFlavor)]]]/hl7:substanceAdministration[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')][not(@nullFlavor)]]/hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')][not(@nullFlavor)]
Item: (VersturenVaccinatieoproeplijst-payload)
-->

   <rule context="*[hl7:immunizationRequestList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.160']]]/hl7:immunizationRequestList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.160']]/hl7:component/hl7:organizer/hl7:component[hl7:substanceAdministration[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')][not(@nullFlavor)]]]/hl7:substanceAdministration[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')][not(@nullFlavor)]]/hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')][not(@nullFlavor)]"
         id="d122e27997-false-d2804008e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.160-2015-06-29T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(VersturenVaccinatieoproeplijst-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.160-2015-06-29T000000.html"
              test="@nullFlavor or (@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')">(VersturenVaccinatieoproeplijst-payload): de elementwaarde MOET een zijn van 'code 'IMMUNIZ' codeSystem '2.16.840.1.113883.5.4''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.160
Context: *[hl7:immunizationRequestList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.160']]]/hl7:immunizationRequestList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.160']]/hl7:component/hl7:organizer/hl7:component[hl7:substanceAdministration[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')][not(@nullFlavor)]]]/hl7:substanceAdministration[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')][not(@nullFlavor)]]/hl7:effectiveTime
Item: (VersturenVaccinatieoproeplijst-payload)
-->

   <rule context="*[hl7:immunizationRequestList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.160']]]/hl7:immunizationRequestList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.160']]/hl7:component/hl7:organizer/hl7:component[hl7:substanceAdministration[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')][not(@nullFlavor)]]]/hl7:substanceAdministration[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')][not(@nullFlavor)]]/hl7:effectiveTime"
         id="d122e28005-false-d2804029e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.160-2015-06-29T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(VersturenVaccinatieoproeplijst-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.160-2015-06-29T000000.html"
              test="not(*)">(VersturenVaccinatieoproeplijst-payload): <value-of select="local-name()"/> met datatype TS, MAG GEEN elementen bevatten.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.160-2015-06-29T000000.html"
              test="matches(@value,'^[0-9]{8}')">(VersturenVaccinatieoproeplijst-payload): 
                                        <name path=".."/>/<name/> moet tenminste tot op de dag nauwkeurig worden opgegeven</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.160
Context: *[hl7:immunizationRequestList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.160']]]/hl7:immunizationRequestList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.160']]/hl7:component/hl7:organizer/hl7:component[hl7:substanceAdministration[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')][not(@nullFlavor)]]]/hl7:substanceAdministration[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')][not(@nullFlavor)]]/hl7:consumable
Item: (VersturenVaccinatieoproeplijst-payload)
-->

   <rule context="*[hl7:immunizationRequestList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.160']]]/hl7:immunizationRequestList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.160']]/hl7:component/hl7:organizer/hl7:component[hl7:substanceAdministration[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')][not(@nullFlavor)]]]/hl7:substanceAdministration[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')][not(@nullFlavor)]]/hl7:consumable"
         id="d122e28024-false-d2804047e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.160-2015-06-29T000000.html"
              test="string(@typeCode)=('CSM') or not(@typeCode)">(VersturenVaccinatieoproeplijst-payload): de waarde van @typeCode MOET 'CSM' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.160-2015-06-29T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(VersturenVaccinatieoproeplijst-payload): attribuut @typeCode MOET datatype 'cs' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.160-2015-06-29T000000.html"
              test="count(hl7:medication[hl7:administrableMedicine[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code]]])&gt;=1">(VersturenVaccinatieoproeplijst-payload): element hl7:medication[hl7:administrableMedicine[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code]]] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.160-2015-06-29T000000.html"
              test="count(hl7:medication[hl7:administrableMedicine[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code]]])&lt;=1">(VersturenVaccinatieoproeplijst-payload): element hl7:medication[hl7:administrableMedicine[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code]]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.160
Context: *[hl7:immunizationRequestList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.160']]]/hl7:immunizationRequestList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.160']]/hl7:component/hl7:organizer/hl7:component[hl7:substanceAdministration[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')][not(@nullFlavor)]]]/hl7:substanceAdministration[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')][not(@nullFlavor)]]/hl7:consumable/hl7:medication[hl7:administrableMedicine[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code]]]
Item: (VersturenVaccinatieoproeplijst-payload)
-->

   <rule context="*[hl7:immunizationRequestList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.160']]]/hl7:immunizationRequestList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.160']]/hl7:component/hl7:organizer/hl7:component[hl7:substanceAdministration[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')][not(@nullFlavor)]]]/hl7:substanceAdministration[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')][not(@nullFlavor)]]/hl7:consumable/hl7:medication[hl7:administrableMedicine[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code]]]"
         id="d122e28042-false-d2804082e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.160-2015-06-29T000000.html"
              test="string(@classCode)=('ADMM') or not(@classCode)">(VersturenVaccinatieoproeplijst-payload): de waarde van @classCode MOET 'ADMM' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.160-2015-06-29T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(VersturenVaccinatieoproeplijst-payload): attribuut @classCode MOET datatype 'cs' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.160-2015-06-29T000000.html"
              test="count(hl7:administrableMedicine[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code]])&gt;=1">(VersturenVaccinatieoproeplijst-payload): element hl7:administrableMedicine[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code]] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.160-2015-06-29T000000.html"
              test="count(hl7:administrableMedicine[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code]])&lt;=1">(VersturenVaccinatieoproeplijst-payload): element hl7:administrableMedicine[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.160
Context: *[hl7:immunizationRequestList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.160']]]/hl7:immunizationRequestList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.160']]/hl7:component/hl7:organizer/hl7:component[hl7:substanceAdministration[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')][not(@nullFlavor)]]]/hl7:substanceAdministration[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')][not(@nullFlavor)]]/hl7:consumable/hl7:medication[hl7:administrableMedicine[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code]]]/hl7:administrableMedicine[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code]]
Item: (VersturenVaccinatieoproeplijst-payload)
-->

   <rule context="*[hl7:immunizationRequestList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.160']]]/hl7:immunizationRequestList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.160']]/hl7:component/hl7:organizer/hl7:component[hl7:substanceAdministration[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')][not(@nullFlavor)]]]/hl7:substanceAdministration[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')][not(@nullFlavor)]]/hl7:consumable/hl7:medication[hl7:administrableMedicine[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code]]]/hl7:administrableMedicine[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code]]"
         id="d122e28046-false-d2804117e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.160-2015-06-29T000000.html"
              test="string(@classCode)=('MMAT') or not(@classCode)">(VersturenVaccinatieoproeplijst-payload): de waarde van @classCode MOET 'MMAT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.160-2015-06-29T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(VersturenVaccinatieoproeplijst-payload): attribuut @classCode MOET datatype 'cs' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.160-2015-06-29T000000.html"
              test="string(@determinerCode)=('KIND') or not(@determinerCode)">(VersturenVaccinatieoproeplijst-payload): de waarde van @determinerCode MOET 'KIND' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.160-2015-06-29T000000.html"
              test="not(@determinerCode) or (string-length(@determinerCode)&gt;0 and not(matches(@determinerCode,'\s')))">(VersturenVaccinatieoproeplijst-payload): attribuut @determinerCode MOET datatype 'cs' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.160-2015-06-29T000000.html"
              test="count(hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code])&gt;=1">(VersturenVaccinatieoproeplijst-payload): element hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.160-2015-06-29T000000.html"
              test="count(hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code])&lt;=1">(VersturenVaccinatieoproeplijst-payload): element hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.160-2015-06-29T000000.html"
              test="count(hl7:lotNumberText)&lt;=1">(VersturenVaccinatieoproeplijst-payload): element hl7:lotNumberText komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.160
Context: *[hl7:immunizationRequestList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.160']]]/hl7:immunizationRequestList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.160']]/hl7:component/hl7:organizer/hl7:component[hl7:substanceAdministration[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')][not(@nullFlavor)]]]/hl7:substanceAdministration[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')][not(@nullFlavor)]]/hl7:consumable/hl7:medication[hl7:administrableMedicine[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code]]]/hl7:administrableMedicine[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code]]/hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code]
Item: (VersturenVaccinatieoproeplijst-payload)
-->

   <rule context="*[hl7:immunizationRequestList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.160']]]/hl7:immunizationRequestList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.160']]/hl7:component/hl7:organizer/hl7:component[hl7:substanceAdministration[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')][not(@nullFlavor)]]]/hl7:substanceAdministration[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')][not(@nullFlavor)]]/hl7:consumable/hl7:medication[hl7:administrableMedicine[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code]]]/hl7:administrableMedicine[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code]]/hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code]"
         id="d122e28052-false-d2804168e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.160-2015-06-29T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(VersturenVaccinatieoproeplijst-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.160-2015-06-29T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(VersturenVaccinatieoproeplijst-payload): de elementwaarde MOET een zijn van '2.16.840.1.113883.2.4.3.11.60.100.11.2.422 W0422 Soort vaccinatie (HL7) (DYNAMISCH)'.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-DYNAMIC.xml')//valueSet[1]/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.160-2015-06-29T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(VersturenVaccinatieoproeplijst-payload): de nulwaarde '<value-of select="@nullFlavor"/>' voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardelijst 2.16.840.1.113883.2.4.3.11.60.100.11.2.422 W0422 Soort vaccinatie (HL7) (DYNAMISCH).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.160
Context: *[hl7:immunizationRequestList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.160']]]/hl7:immunizationRequestList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.160']]/hl7:component/hl7:organizer/hl7:component[hl7:substanceAdministration[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')][not(@nullFlavor)]]]/hl7:substanceAdministration[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')][not(@nullFlavor)]]/hl7:consumable/hl7:medication[hl7:administrableMedicine[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code]]]/hl7:administrableMedicine[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code]]/hl7:lotNumberText
Item: (VersturenVaccinatieoproeplijst-payload)
-->

   <rule context="*[hl7:immunizationRequestList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.160']]]/hl7:immunizationRequestList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.160']]/hl7:component/hl7:organizer/hl7:component[hl7:substanceAdministration[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')][not(@nullFlavor)]]]/hl7:substanceAdministration[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')][not(@nullFlavor)]]/hl7:consumable/hl7:medication[hl7:administrableMedicine[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code]]]/hl7:administrableMedicine[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code]]/hl7:lotNumberText"
         id="d122e28060-false-d2804197e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.160-2015-06-29T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(VersturenVaccinatieoproeplijst-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
   </rule>
</pattern>
