<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.100.124
Name: R_AssignedEntityNL [confirmable/location]
Description: R_AssignedEntityNL universal (COCT_MT090000NL) teruggebracht tot een Organisatie-id (verplicht), een Organisatie-naam (optioneel) en een Locatie-aanduiding (verplicht)
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.100.124-2012-08-01T000000">
   <title>R_AssignedEntityNL [confirmable/location]</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.124
Context: *[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.124']]]
Item: (R_AssignedEntityNL-confirmable-location)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.124
Context: *[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.124']]]/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.124']]
Item: (R_AssignedEntityNL-confirmable-location)
-->

   <rule context="*[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.124']]]/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.124']]"
         id="d122e22291-false-d2767310e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.124-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.124'])&gt;=1">(R_AssignedEntityNL-confirmable-location): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.124'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.124-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.124'])&lt;=1">(R_AssignedEntityNL-confirmable-location): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.124'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.124-2012-08-01T000000.html"
              test="count(hl7:representedOrganization[not(@nullFlavor)])&gt;=1">(R_AssignedEntityNL-confirmable-location): element hl7:representedOrganization[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.124-2012-08-01T000000.html"
              test="count(hl7:representedOrganization[not(@nullFlavor)])&lt;=1">(R_AssignedEntityNL-confirmable-location): element hl7:representedOrganization[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.124
Context: *[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.124']]]/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.124']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.124']
Item: (R_AssignedEntityNL-confirmable-location)
-->

   <rule context="*[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.124']]]/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.124']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.124']"
         id="d122e22335-false-d2767346e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.124-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(R_AssignedEntityNL-confirmable-location): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.124-2012-08-01T000000.html"
              test="string(@root)=('2.16.840.1.113883.2.4.6.10.100.124')">(R_AssignedEntityNL-confirmable-location): de waarde van @root MOET '2.16.840.1.113883.2.4.6.10.100.124' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.124-2012-08-01T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$')">(R_AssignedEntityNL-confirmable-location): attribuut @root MOET datatype 'oid' hebben</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.124
Context: *[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.124']]]/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.124']]/hl7:representedOrganization[not(@nullFlavor)]
Item: (R_AssignedEntityNL-confirmable-location)
-->

   <rule context="*[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.124']]]/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.124']]/hl7:representedOrganization[not(@nullFlavor)]"
         id="d122e22354-false-d2767368e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.124-2012-08-01T000000.html"
              test="count(hl7:id)&gt;=1">(R_AssignedEntityNL-confirmable-location): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.124-2012-08-01T000000.html"
              test="count(hl7:id)&lt;=1">(R_AssignedEntityNL-confirmable-location): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.124-2012-08-01T000000.html"
              test="count(hl7:name)&lt;=1">(R_AssignedEntityNL-confirmable-location): element hl7:name komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.124-2012-08-01T000000.html"
              test="count(hl7:organizationContains)&lt;=1">(R_AssignedEntityNL-confirmable-location): element hl7:organizationContains komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.124
Context: *[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.124']]]/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.124']]/hl7:representedOrganization[not(@nullFlavor)]/hl7:id
Item: (R_AssignedEntityNL-confirmable-location)
-->

   <rule context="*[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.124']]]/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.124']]/hl7:representedOrganization[not(@nullFlavor)]/hl7:id"
         id="d122e22361-false-d2767410e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.124-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(R_AssignedEntityNL-confirmable-location): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.124-2012-08-01T000000.html"
              test="string(@nullFlavor)=('NI')">(R_AssignedEntityNL-confirmable-location): de waarde van @nullFlavor MOET 'NI' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.124-2012-08-01T000000.html"
              test="not(@nullFlavor) or (string-length(@nullFlavor)&gt;0 and not(matches(@nullFlavor,'\s')))">(R_AssignedEntityNL-confirmable-location): attribuut @nullFlavor MOET datatype 'cs' hebben</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.124
Context: *[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.124']]]/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.124']]/hl7:representedOrganization[not(@nullFlavor)]/hl7:name
Item: (R_AssignedEntityNL-confirmable-location)
-->

   <rule context="*[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.124']]]/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.124']]/hl7:representedOrganization[not(@nullFlavor)]/hl7:name"
         id="d122e22371-false-d2767432e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.124-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ON' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(R_AssignedEntityNL-confirmable-location): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ON" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ON"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.124
Context: *[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.124']]]/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.124']]/hl7:representedOrganization[not(@nullFlavor)]/hl7:organizationContains
Item: (R_AssignedEntityNL-confirmable-location)
-->

   <rule context="*[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.124']]]/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.124']]/hl7:representedOrganization[not(@nullFlavor)]/hl7:organizationContains"
         id="d122e22380-false-d2767447e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.124-2012-08-01T000000.html"
              test="string(@classCode)=('PART')">(R_AssignedEntityNL-confirmable-location): de waarde van @classCode MOET 'PART' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.124-2012-08-01T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(R_AssignedEntityNL-confirmable-location): attribuut @classCode MOET datatype 'cs' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.124-2012-08-01T000000.html"
              test="count(hl7:partOrganization[not(@nullFlavor)])&gt;=1">(R_AssignedEntityNL-confirmable-location): element hl7:partOrganization[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.124-2012-08-01T000000.html"
              test="count(hl7:partOrganization[not(@nullFlavor)])&lt;=1">(R_AssignedEntityNL-confirmable-location): element hl7:partOrganization[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.124
Context: *[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.124']]]/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.124']]/hl7:representedOrganization[not(@nullFlavor)]/hl7:organizationContains/hl7:partOrganization[not(@nullFlavor)]
Item: (R_AssignedEntityNL-confirmable-location)
-->

   <rule context="*[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.124']]]/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.124']]/hl7:representedOrganization[not(@nullFlavor)]/hl7:organizationContains/hl7:partOrganization[not(@nullFlavor)]"
         id="d122e22390-false-d2767478e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.124-2012-08-01T000000.html"
              test="string(@classCode)=('ORG')">(R_AssignedEntityNL-confirmable-location): de waarde van @classCode MOET 'ORG' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.124-2012-08-01T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(R_AssignedEntityNL-confirmable-location): attribuut @classCode MOET datatype 'cs' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.124-2012-08-01T000000.html"
              test="string(@determinerCode)=('INSTANCE')">(R_AssignedEntityNL-confirmable-location): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.124-2012-08-01T000000.html"
              test="not(@determinerCode) or (string-length(@determinerCode)&gt;0 and not(matches(@determinerCode,'\s')))">(R_AssignedEntityNL-confirmable-location): attribuut @determinerCode MOET datatype 'cs' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.124-2012-08-01T000000.html"
              test="count(hl7:id)&gt;=1">(R_AssignedEntityNL-confirmable-location): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.124-2012-08-01T000000.html"
              test="count(hl7:id)&lt;=1">(R_AssignedEntityNL-confirmable-location): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.124-2012-08-01T000000.html"
              test="count(hl7:name)&lt;=1">(R_AssignedEntityNL-confirmable-location): element hl7:name komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.124
Context: *[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.124']]]/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.124']]/hl7:representedOrganization[not(@nullFlavor)]/hl7:organizationContains/hl7:partOrganization[not(@nullFlavor)]/hl7:id
Item: (R_AssignedEntityNL-confirmable-location)
-->

   <rule context="*[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.124']]]/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.124']]/hl7:representedOrganization[not(@nullFlavor)]/hl7:organizationContains/hl7:partOrganization[not(@nullFlavor)]/hl7:id"
         id="d122e22398-false-d2767525e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.124-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(R_AssignedEntityNL-confirmable-location): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.124-2012-08-01T000000.html"
              test="string(@nullFlavor)=('NA')">(R_AssignedEntityNL-confirmable-location): de waarde van @nullFlavor MOET 'NA' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.124-2012-08-01T000000.html"
              test="not(@nullFlavor) or (string-length(@nullFlavor)&gt;0 and not(matches(@nullFlavor,'\s')))">(R_AssignedEntityNL-confirmable-location): attribuut @nullFlavor MOET datatype 'cs' hebben</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.124
Context: *[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.124']]]/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.124']]/hl7:representedOrganization[not(@nullFlavor)]/hl7:organizationContains/hl7:partOrganization[not(@nullFlavor)]/hl7:name
Item: (R_AssignedEntityNL-confirmable-location)
-->

   <rule context="*[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.124']]]/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.124']]/hl7:representedOrganization[not(@nullFlavor)]/hl7:organizationContains/hl7:partOrganization[not(@nullFlavor)]/hl7:name"
         id="d122e22409-false-d2767547e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.124-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ON' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(R_AssignedEntityNL-confirmable-location): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ON" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ON"/>
   </rule>
</pattern>
